'use strict';
app.controller('gettingStartedController', ['$scope', '$http', '$modal', 'lib', 'authService', 'blockUI', function ($scope, $http, $modal, lib, authService, blockUI) {

	$scope.loginWithGoogle = function () {
		blockUI.start();
		var redirectUri = document.location.href;
		redirectUri = redirectUri.substring(0, redirectUri.indexOf('#'));
		location.href = '/Api/Account/ExternalLogin?provider=Google&response_type=token&client_id=self&redirect_uri=' + encodeURIComponent(redirectUri);
	};

}]);
